---
title: File.File()
slug: Web/API/File/File
tags:
  - API
  - Constructor
  - File API
  - Reference
---
<div>{{APIRef("File")}}</div>

<p>The <code><strong>File()</strong></code> constructor creates a new {{domxref("File")}} object instance.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">new File(bits, name[, options]);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>bits</code></dt>
 <dd>An {{jsxref("Array")}} of {{jsxref("ArrayBuffer")}}, {{domxref("ArrayBufferView")}}, {{domxref("Blob")}}, {{domxref("USVString")}} objects, or a mix of any of such objects, that will be put inside the {{domxref("File")}}. <code>USVString</code> objects are encoded as UTF-8.</dd>
 <dt><code>name</code></dt>
 <dd>A {{domxref("USVString")}} representing the file name or the path to the file.</dd>
 <dt><code>options</code> {{optional_inline}}</dt>
 <dd>An options object containing optional attributes for the file. Available options are as follows:
 <ul>
  <li><code>type</code>: A {{domxref("DOMString")}} representing the MIME type of the content that will be put into the file. Defaults to a value of <code>"".</code></li>
  <li><code>lastModified</code>: A number representing the number of milliseconds between the Unix time epoch and when the file was last modified. Defaults to a value of {{jsxref("Date.now()")}}.</li>
 </ul>
 </dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var file = new File(["foo"], "foo.txt", {
  type: "text/plain",
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('File API')}}</td>
   <td>{{Spec2('File API')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.File.File")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("FileReader")}}</li>
 <li>{{domxref("Blob")}}</li>
</ul>
